package com.jasamedika.medifirst2000.entities;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;
import com.jasamedika.medifirst2000.vo.PerencanaanAnestesiVO;

@Entity
@Table(name = "DetailJenisLimbah_T")
public class DetailJenisLimbah extends BaseTransaction {
	
	@ManyToOne
	@JoinColumn(name = "ObjectjenisLimbahB3MasukFk",nullable=false)
	@NotNull(message = "Jenis Limbah tidak boleh kosong")
	private JenisLimbahB3Masuk jenisLimbahB3Masuk;
	
	@Column(name = "ObjectjenisLimbahB3MasukFk", insertable=false,updatable=false)
	private Integer jenisLimbahB3MasukId;
	
	@ManyToOne
	@JsonBackReference
	@JoinColumn(name = "objectNeracaLimbahFk")
	@NotNull(message = "Neraca Limbah Tidak Boleh Kosong")
	private NeracaLimbah neracaLimbah;
	
	@Column(name="objectNeracaLimbahFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String neracaLimbahId;
	
	@Column(name="jenisLimbahYangDikelola")
	private Double jumlah;

	public JenisLimbahB3Masuk getJenisLimbahB3Masuk() {
		return jenisLimbahB3Masuk;
	}

	public void setJenisLimbahB3Masuk(JenisLimbahB3Masuk jenisLimbahB3Masuk) {
		this.jenisLimbahB3Masuk = jenisLimbahB3Masuk;
	}

	public Integer getJenisLimbahB3MasukId() {
		return jenisLimbahB3MasukId;
	}

	public void setJenisLimbahB3MasukId(Integer jenisLimbahB3MasukId) {
		this.jenisLimbahB3MasukId = jenisLimbahB3MasukId;
	}

	public NeracaLimbah getNeracaLimbah() {
		return neracaLimbah;
	}

	public void setNeracaLimbah(NeracaLimbah neracaLimbah) {
		this.neracaLimbah = neracaLimbah;
	}

	public String getNeracaLimbahId() {
		return neracaLimbahId;
	}

	public void setNeracaLimbahId(String neracaLimbahId) {
		this.neracaLimbahId = neracaLimbahId;
	}

	public Double getJumlah() {
		return jumlah;
	}

	public void setJumlah(Double jumlah) {
		this.jumlah = jumlah;
	}
	
	
	



}
